=== debian/changelog ===
hardinfo (2.1.11-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 19 Aug 2024 14:37:39 -0700

hardinfo (2.1.11-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 29 May 2024 14:13:01 -0400
