## hardinfo 2.1.14

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,12 +2,15 @@
 cmake_policy(VERSION 3.0.2)
 project(hardinfo2)
 
-set(HARDINFO2_VERSION "2.1.11")
-
+set(HARDINFO2_VERSION "2.1.14")
+
+option(HARDINFO2_SERVICE "Build with service support" 1)
 option(HARDINFO2_GTK3 "Build for GTK3 (0/off for GTK2)" 1)
 option(HARDINFO2_LIBSOUP3 "Build for libsoup-3.0 (0/off for libsoup-2.4)" 1)
+option(HARDINFO2_QT5 "Build opengl benchmark for QT5 " 1)
 
 SET(CMAKE_INSTALL_PREFIX "/usr")
+SET(HARDINFO2_SYSTEMV 0)
 
 SET(CMAKE_MODULE_PATH  "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 include(GNUInstallDirs)
@@ -48,17 +51,19 @@
 	set(HARDINFO2_ARCH "sh")
 elseif(${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES "(riscv|riscv32|riscv64)")
 	set(HARDINFO2_ARCH "riscv")
+elseif(${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES "e2k")
+	set(HARDINFO2_ARCH "e2k")
 else()
 	message(FATAL_ERROR "Unsupported architecture: ${CMAKE_HOST_SYSTEM_PROCESSOR}")
 endif()
 
-add_definitions(-DLOCALEDIR="${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LOCALEDIR}")
-message(STATUS "LOCALEDIR = ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LOCALEDIR}")
+add_definitions(-DLOCALEDIR="${CMAKE_INSTALL_FULL_LOCALEDIR}")
+message(STATUS "LOCALEDIR = ${CMAKE_INSTALL_FULL_LOCALEDIR}")
 
 message(STATUS "Building HardInfo2 for architecture: ${HARDINFO2_OS}-${HARDINFO2_ARCH}")
 
-add_definitions("-std=gnu89")
-#add_definitions("-Wno-deprecated-declarations")
+#add_definitions("-std=gnu89")
+#add_definitions("-fanalyzer")
 add_definitions("-Wextra")
 add_definitions("-Wno-missing-field-initializers")
 add_definitions("-Wformat")
@@ -68,26 +73,32 @@
 set(PACKAGE_LIBGLIB2_MINVERSION 2.24)
 
 #########################CPack PACKAGING SETUP###############################
+if(EXISTS "/etc/os-release")
+  file(STRINGS /etc/os-release distro REGEX "^NAME=")
+  file(STRINGS /etc/os-release disversion REGEX "^VERSION_ID=")
+  file(STRINGS /etc/os-release disversioncode REGEX "^VERSION_CODENAME=")
+else()
+  set(distro "Linux")
+  set(disversion "99")
+  set(disversioncode "Linux")
+endif()
 set(RPM 0)
-file(STRINGS /etc/os-release distro REGEX "^NAME=")
 string(REGEX REPLACE "NAME=" "" distro "${distro}")
 string(REGEX REPLACE "\"" "" distro "${distro}")
 string(REGEX REPLACE "/" "" distro "${distro}")
 string(REGEX REPLACE " " "" distro "${distro}")
-file(STRINGS /etc/os-release disversion REGEX "^VERSION_ID=")
 string(REGEX REPLACE "VERSION_ID=" "" disversion "${disversion}")
 string(COMPARE EQUAL "${disversion}" "" result)
 if(result)
   #sid/rawhide with no version - use project name
   message("-- Found no distro version - Using codename")
-  file(STRINGS /etc/os-release disversion REGEX "^VERSION_CODENAME=")
-  string(REGEX REPLACE "VERSION_CODENAME=" "" disversion "99_${disversion}")
+  string(REGEX REPLACE "VERSION_CODENAME=" "" disversion "99_${disversioncode}")
 endif()
 string(REGEX REPLACE "\"" "" disversion "${disversion}")
 string(REGEX REPLACE "/" "" disversion "${disversion}")
 string(REGEX REPLACE " " "" disversion "${disversion}")
 #RPM Distro's
-if(${distro} MATCHES "Alma*" OR ${distro} MATCHES "Rocky*" OR ${distro} MATCHES "Fedora*" OR ${distro} MATCHES "Red*" OR ${distro} MATCHES "CentOS*" OR ${distro} MATCHES "Oracle*" OR ${distro} MATCHES "openSUSE*" OR ${distro} MATCHES "SUSE*")
+if(${distro} MATCHES "Alma*" OR ${distro} MATCHES "Rocky*" OR ${distro} MATCHES "Fedora*" OR ${distro} MATCHES "Red*" OR ${distro} MATCHES "CentOS*" OR ${distro} MATCHES "Oracle*" OR ${distro} MATCHES "openSUSE*" OR ${distro} MATCHES "SUSE*" OR ${distro} MATCHES "PCLinuxOS*")
   set(RPM 1)
 endif()
 #Package architecture
@@ -132,23 +143,46 @@
 if(${disversion} LESS 6.99)
   if((${distro} MATCHES "Red*" OR ${distro} MATCHES "CentOS*" OR ${distro} MATCHES "Oracle*" OR ${distro} MATCHES "openSUSE*" OR ${distro} MATCHES "SUSE*"))
     message("RPM EL6 - GTK2 - deprecated - support will end at any time")
+    set(HARDINFO2_GTK3 0)
     message("RPM EL6 - LS24 - deprecated version 2.34.3 - but ok")
-    set(HARDINFO2_GTK3 0)
     set(PACKAGE_LIBSOUP2_MINVERSION 2.34.3)
-  endif()
+    set(HARDINFO2_SYSTEMV 1)
+    message("RPM EL6 - no QT5 - Disabling opengl benchmarks")
+    set(HARDINFO2_QT5 0)
+  endif()
+endif()
+
+#Fedora 23
+if(${distro}${disversion} MATCHES "Fedora23")
+    message("FC23 - no QT5 - Disabling opengl benchmarks")
+    set(HARDINFO2_QT5 0)
 endif()
 
 #debian 7
 if(${distro}${disversion} MATCHES "DebianGNULinux7")
     message("DEB 7 - GTK2 to avoid c11 for ubergraph - deprecated - support will end at any time")
     message("DEB 7 - LS24 - deprecated version 2.34.3 - but ok")
+    message("DEB 7 - no QT5 - Disabling opengl benchmarks")
     set(HARDINFO2_GTK3 0)
     set(PACKAGE_LIBSOUP2_MINVERSION 2.34.3)
+    set(HARDINFO2_SYSTEMV 1)
+    set(HARDINFO2_QT5 0)
 endif()
 
 #debian 8
 if(${distro}${disversion} MATCHES "DebianGNULinux8")
     message("DEB 8 - GTK3 version 3.14.5 is low - Themes disabled")
+    message("DEB 8 - no QT5 - Disabling opengl benchmarks")
+    set(HARDINFO2_QT5 0)
+endif()
+
+#debian 9
+if(${distro}${disversion} MATCHES "DebianGNULinux99")
+else()
+    if(${distro}${disversion} MATCHES "DebianGNULinux9")
+        message("DEB 9 - QT5 too low - Disabling opengl benchmarks")
+        set(HARDINFO2_QT5 0)
+    endif()
 endif()
 
 #debian ->11
@@ -157,6 +191,23 @@
     message("DEB ->11 - LS24")
     set(HARDINFO2_LIBSOUP3 0)
   endif()
+  if(${distro} MATCHES "RaspbianGNULinux")
+    message("DEB ->11 - LS24")
+    set(HARDINFO2_LIBSOUP3 0)
+  endif()
+endif()
+#pureos ->10 (debian 11 or less)
+if(${disversion} LESS 10.99)
+  if(${distro} MATCHES "PureOS")
+    message("PureOS ->10 - LS24")
+    set(HARDINFO2_LIBSOUP3 0)
+  endif()
+endif()
+
+#ubuntu 16
+if(${distro}${disversion} MATCHES "Ubuntu16")
+    message("Ubuntu 16 - no QT5 - Disabling opengl benchmarks")
+    set(HARDINFO2_QT5 0)
 endif()
 
 #ubuntu 20.04
@@ -165,6 +216,21 @@
     message("Ubuntu ->20.xx - LS24")
     set(HARDINFO2_LIBSOUP3 0)
   endif()
+endif()
+
+#PCLinuxOS
+if(${distro} MATCHES "PCLinux")
+    set(HARDINFO2_SYSTEMV 1)
+endif()
+
+#Devuan
+if(${distro} MATCHES "Devuan")
+    set(HARDINFO2_SYSTEMV 1)
+endif()
+
+#WSL 1/2
+if(EXISTS "/bin/wslinfo")
+    message("WSL Detected")
 endif()
 
 
@@ -179,8 +245,12 @@
 	   set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fsanitize=address")
         endif()
 endif()
+
 add_subdirectory(po)
 
+if(HARDINFO2_QT5)
+  add_subdirectory(deps/qgears2)
+endif()
 
 include(FindPkgConfig)
 if (HARDINFO2_GTK3)
@@ -279,7 +349,6 @@
 	modules/devices/printers.c
 	modules/devices/resources.c
 	modules/devices/sensors.c
-#	modules/devices/spd-decode.c
 	modules/devices/storage.c
 	modules/devices/usb.c
 )
@@ -289,6 +358,7 @@
 	modules/network/nfs.c
 	modules/network/samba.c
 )
+if(HARDINFO2_QT5)
 set(MODULE_benchmark_SOURCES
 	modules/benchmark.c
 	modules/benchmark/bench_util.c
@@ -306,58 +376,8 @@
 	modules/benchmark/zlib.c
 	modules/benchmark/sysbench.c
 	modules/benchmark/iperf3.c
+	modules/benchmark/opengl.c
 	modules/benchmark/drawing.c
 	modules/benchmark/guibench.c
 )
-
-set_source_files_properties(
-	modules/benchmark/blowfish.c
-	modules/benchmark/fftbench.c
-	modules/benchmark/md5.c
-	modules/benchmark/sha1.c
-	PROPERTIES
-	COMPILE_FLAGS "-O0 -Werror=implicit-function-declaration"
-)
-
-set_source_files_properties(
-	modules/devices/monitors.c
-	modules/devices/dmi_memory.c
-#	modules/devices/spd-decode.c
-	hardinfo2/problem_marker.c
-	hardinfo2/hinote_util.c
-	PROPERTIES
-	COMPILE_FLAGS "-std=c99 -Wall -Wextra -Wno-unused-function -Wno-switch -Werror=implicit-function-declaration"
-)
-
-foreach (_module ${HARDINFO2_MODULES})
-	add_library(${_module} MODULE ${MODULE_${_module}_SOURCES})
-	set_target_properties(${_module} PROPERTIES PREFIX "")
-	set_target_properties(${_module} PROPERTIES COMPILE_FLAGS "-Wall -Wextra -Wno-unused-parameter -Wno-unused-function -Wno-missing-braces -Wno-switch -Werror=implicit-function-declaration")
-	target_link_libraries(${_module} ${JSON_GLIB_LIBRARIES})
-endforeach()
-
-find_library(LIBSENSORS_LIBRARY NAMES libsensors.so)
-if (LIBSENSORS_LIBRARY)
-	set(HAS_LIBSENSORS 1)
-	target_link_libraries(devices ${LIBSENSORS_LIBRARY})
-endif ()
-
-add_library(sysobj_early STATIC
-	deps/sysobj_early/src/gg_slist.c
-	deps/sysobj_early/src/strstr_word.c
-	deps/sysobj_early/src/auto_free.c
-	deps/sysobj_early/src/util_ids.c
-	deps/sysobj_early/src/util_sysobj.c
-	deps/sysobj_early/src/appf.c
-	deps/sysobj_early/src/nice_name.c
-	deps/sysobj_early/gui/uri_handler.c
-	deps/sysobj_early/src/util_edid.c
-	deps/sysobj_early/src/format_early.c
-	deps/sysobj_early/src/cpubits.c
-)
-set_target_properties(sysobj_early PROPERTIES COMPILE_FLAGS "-std=c99 -Wall -Wextra -Wno-parentheses -Wno-unused-function -Werror=implicit-function-declaration")
-target_link_libraries(sysobj_early m)
-
-if (HARDINFO2_GTK3)
-add_library(uber-graph STATIC
-	deps/uber-graph/g-ring.c
+else()
