=== debian/changelog ===
hardinfo (2.1.14-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 17 Sep 2024 20:02:56 -0700

hardinfo (2.1.14-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Boyuan Yang <byang@debian.org>  Thu, 05 Sep 2024 20:52:56 -0400

hardinfo (2.1.14-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Add new build-dep qtbase5-dev, qtbase5-dev-tools,
    libqt5opengl5-dev.
  * debian/copyright: Update copyright information.

 -- Boyuan Yang <byang@debian.org>  Wed, 04 Sep 2024 10:30:45 -0400

hardinfo (2.1.11-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Boyuan Yang <byang@debian.org>  Thu, 06 Jun 2024 22:10:29 -0400
