=== debian/control ===
--- 
+++ 
@@ -10,7 +10,10 @@
                libglib2.0-dev,
                libgtk-3-dev,
                libjson-glib-dev,
+               libqt5opengl5-dev,
                libsoup-3.0-dev,
+               qtbase5-dev,
+               qtbase5-dev-tools,
                zlib1g-dev
 Standards-Version: 4.7.0
 Homepage: https://github.com/hardinfo2/hardinfo2
@@ -30,16 +33,16 @@
 
 Package: hardinfo2
 Architecture: linux-any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: dmidecode,
-            fwupd,
-            iperf3,
-            lm-sensors,
-            lsscsi,
-            mesa-utils,
-            sysbench,
-            udisks2,
-            xdg-utils
+Depends: ${misc:Depends}, ${shlibs:Depends},
+         dmidecode,
+         iperf3,
+         lm-sensors,
+         lsscsi,
+         mesa-utils,
+         sysbench,
+         udisks2,
+         xdg-utils
+Recommends: fwupd
 Suggests: pciutils
 Replaces: hardinfo (<< ${binary:Version}~)
 Breaks: hardinfo (<< ${binary:Version}~)
