## hardinfo 2.1.17

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 cmake_policy(VERSION 3.0.2)
 project(hardinfo2)
 
-set(HARDINFO2_VERSION "2.1.14")
+set(HARDINFO2_VERSION "2.1.17")
 
 option(HARDINFO2_SERVICE "Build with service support" 1)
 option(HARDINFO2_GTK3 "Build for GTK3 (0/off for GTK2)" 1)
@@ -11,6 +11,7 @@
 
 SET(CMAKE_INSTALL_PREFIX "/usr")
 SET(HARDINFO2_SYSTEMV 0)
+SET(HARDINFO2_RUNIT 0)
 
 SET(CMAKE_MODULE_PATH  "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 include(GNUInstallDirs)
@@ -98,7 +99,7 @@
 string(REGEX REPLACE "/" "" disversion "${disversion}")
 string(REGEX REPLACE " " "" disversion "${disversion}")
 #RPM Distro's
-if(${distro} MATCHES "Alma*" OR ${distro} MATCHES "Rocky*" OR ${distro} MATCHES "Fedora*" OR ${distro} MATCHES "Red*" OR ${distro} MATCHES "CentOS*" OR ${distro} MATCHES "Oracle*" OR ${distro} MATCHES "openSUSE*" OR ${distro} MATCHES "SUSE*" OR ${distro} MATCHES "PCLinuxOS*")
+if(${distro} MATCHES "Alma*" OR ${distro} MATCHES "Rocky*" OR ${distro} MATCHES "Fedora*" OR ${distro} MATCHES "RedHat*" OR ${distro} MATCHES "CentOS*" OR ${distro} MATCHES "Oracle*" OR ${distro} MATCHES "openSUSE*" OR ${distro} MATCHES "SUSE*" OR ${distro} MATCHES "PCLinuxOS*" OR ${distro} MATCHES "Ultramarine*" OR ${distro} MATCHES "Nobara*")
   set(RPM 1)
 endif()
 #Package architecture
@@ -218,6 +219,12 @@
   endif()
 endif()
 
+#slackware
+if(${distro} MATCHES "Slackware")
+    message("Slackware - LS24")
+    set(HARDINFO2_LIBSOUP3 0)
+endif()
+
 #PCLinuxOS
 if(${distro} MATCHES "PCLinux")
     set(HARDINFO2_SYSTEMV 1)
@@ -226,6 +233,11 @@
 #Devuan
 if(${distro} MATCHES "Devuan")
     set(HARDINFO2_SYSTEMV 1)
+endif()
+#Devuan
+
+if(${distro} MATCHES "Void")
+    set(HARDINFO2_RUNIT 1)
 endif()
 
 #WSL 1/2
@@ -329,7 +341,6 @@
 	modules/computer/memory_usage.c
 	modules/computer/modules.c
 	modules/computer/os.c
-	modules/computer/ubuntu_flavors.c
 	modules/computer/uptime.c
 	modules/computer/users.c
 	modules/computer/groups.c
@@ -345,6 +356,7 @@
 	modules/devices/firmware.c
 	modules/devices/devicetree.c
 	modules/devices/inputdevices.c
+	modules/devices/spd-decode.c
 	modules/devices/pci.c
 	modules/devices/printers.c
 	modules/devices/resources.c
@@ -370,14 +382,3 @@
 	modules/benchmark/fft.c
 	modules/benchmark/fib.c
 	modules/benchmark/md5.c
-	modules/benchmark/nqueens.c
-	modules/benchmark/raytrace.c
-	modules/benchmark/sha1.c
-	modules/benchmark/zlib.c
-	modules/benchmark/sysbench.c
-	modules/benchmark/iperf3.c
-	modules/benchmark/opengl.c
-	modules/benchmark/drawing.c
-	modules/benchmark/guibench.c
-)
-else()
