=== debian/changelog ===
hardinfo (2.1.17-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Boyuan Yang <byang@debian.org>  Tue, 08 Oct 2024 17:38:07 -0400

hardinfo (2.1.17-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Add new Recommend: x11-xserver-utils, vulkan-tools.
  * debian/copyright: Update license information.

 -- Boyuan Yang <byang@debian.org>  Tue, 08 Oct 2024 15:17:18 -0400
