## hardinfo 2.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 cmake_policy(VERSION 3.0.2)
 project(hardinfo2)
 
-set(HARDINFO2_VERSION "2.1.17")
+set(HARDINFO2_VERSION "2.2.1")
 
 option(HARDINFO2_SERVICE "Build with service support" 1)
 option(HARDINFO2_GTK3 "Build for GTK3 (0/off for GTK2)" 1)
@@ -72,6 +72,8 @@
 
 set(PACKAGE_LIBSOUP2_MINVERSION 2.42)
 set(PACKAGE_LIBGLIB2_MINVERSION 2.24)
+SET(RPM_REQ "sysbench, udisks2, glx-utils, lsscsi, lm_sensors, xdg-utils, iperf3, fwupd, xrandr, vulkan-tools")
+SET(DEB_REQ "sysbench, udisks2, mesa-utils, lsscsi, lm-sensors, xdg-utils, iperf3, fwupd, x11-server-utils, vulkan-tools")
 
 #########################CPack PACKAGING SETUP###############################
 if(EXISTS "/etc/os-release")
@@ -99,7 +101,7 @@
 string(REGEX REPLACE "/" "" disversion "${disversion}")
 string(REGEX REPLACE " " "" disversion "${disversion}")
 #RPM Distro's
-if(${distro} MATCHES "Alma*" OR ${distro} MATCHES "Rocky*" OR ${distro} MATCHES "Fedora*" OR ${distro} MATCHES "RedHat*" OR ${distro} MATCHES "CentOS*" OR ${distro} MATCHES "Oracle*" OR ${distro} MATCHES "openSUSE*" OR ${distro} MATCHES "SUSE*" OR ${distro} MATCHES "PCLinuxOS*" OR ${distro} MATCHES "Ultramarine*" OR ${distro} MATCHES "Nobara*")
+if(${distro} MATCHES "Alma*" OR ${distro} MATCHES "Rocky*" OR ${distro} MATCHES "Fedora*" OR ${distro} MATCHES "RedHat*" OR ${distro} MATCHES "CentOS*" OR ${distro} MATCHES "Oracle*" OR ${distro} MATCHES "openSUSE*" OR ${distro} MATCHES "SUSE*" OR ${distro} MATCHES "PCLinuxOS*" OR ${distro} MATCHES "Ultramarine*" OR ${distro} MATCHES "Nobara*" OR ${distro} MATCHES "OpenMandriva*")
   set(RPM 1)
 endif()
 #Package architecture
@@ -140,9 +142,19 @@
   endif()
 endif()
 
+#centos/redhat/oracle/opensuse/suse 7
+if(${disversion} LESS 7.99)
+  if((${distro} MATCHES "Red*" OR ${distro} MATCHES "CentOS*" OR ${distro} MATCHES "Oracle*" OR ${distro} MATCHES "openSUSE*" OR ${distro} MATCHES "SUSE*"))
+      SET(RPM_REQ "sysbench, udisks2, glx-utils, lsscsi, lm_sensors, xdg-utils, iperf3, fwupd, xrandr") #miss vulkan-tools
+  endif()
+endif()
+
 #centos/redhat/oracle/opensuse/suse 6
 if(${disversion} LESS 6.99)
   if((${distro} MATCHES "Red*" OR ${distro} MATCHES "CentOS*" OR ${distro} MATCHES "Oracle*" OR ${distro} MATCHES "openSUSE*" OR ${distro} MATCHES "SUSE*"))
+    message("RPM EL6 - Too old to have run directory - creating at install")
+    #create run directory owned by root
+    install(DIRECTORY DESTINATION /run)
     message("RPM EL6 - GTK2 - deprecated - support will end at any time")
     set(HARDINFO2_GTK3 0)
     message("RPM EL6 - LS24 - deprecated version 2.34.3 - but ok")
@@ -150,13 +162,23 @@
     set(HARDINFO2_SYSTEMV 1)
     message("RPM EL6 - no QT5 - Disabling opengl benchmarks")
     set(HARDINFO2_QT5 0)
-  endif()
-endif()
+    SET(RPM_REQ "sysbench, lsscsi, glx-utils, lm_sensors, xdg-utils, xrandr") #miss vulkan-tools, udisks2, fwupd, iperf3
+  endif()
+endif()
+
+#opensuse tumbeweed
+if(${disversion} GREATER 20000101)
+  if(${distro} MATCHES "openSUSE*")
+    SET(RPM_REQ "sysbench, udisks2, lsscsi, xdg-utils, fwupd, xrandr,vulkan-tools,  Mesa-demo-x, iperf, sensors") 
+  endif()
+endif()
+
 
 #Fedora 23
 if(${distro}${disversion} MATCHES "Fedora23")
     message("FC23 - no QT5 - Disabling opengl benchmarks")
     set(HARDINFO2_QT5 0)
+    SET(RPM_REQ "sysbench, udisks2, glx-utils, lsscsi, lm_sensors, xdg-utils, iperf3, fwupd, xrandr") #miss vulkan-tools
 endif()
 
 #debian 7
@@ -197,6 +219,7 @@
     set(HARDINFO2_LIBSOUP3 0)
   endif()
 endif()
+
 #pureos ->10 (debian 11 or less)
 if(${disversion} LESS 10.99)
   if(${distro} MATCHES "PureOS")
@@ -225,8 +248,14 @@
     set(HARDINFO2_LIBSOUP3 0)
 endif()
 
+#OpenMandriva
+if(${distro} MATCHES "OpenMandriva")
+    SET(RPM_REQ "udisks2, sysbench, fwupd, lm_sensors, xdg-utils, xrandr, vulkan-tools,  glxinfo, iperf") #miss lsscsi
+endif()
+
 #PCLinuxOS
 if(${distro} MATCHES "PCLinux")
+    SET(RPM_REQ "udisks2, lsscsi, lm_sensors, xdg-utils, xrandr, vulkan-tools,  glxinfo, iperf") #miss sysbench,fwupd
     set(HARDINFO2_SYSTEMV 1)
 endif()
 
@@ -234,10 +263,31 @@
 if(${distro} MATCHES "Devuan")
     set(HARDINFO2_SYSTEMV 1)
 endif()
-#Devuan
-
+
+#MX
+if(${distro} MATCHES "DebianGNULinux")
+    if(EXISTS "/etc/initrd_release")
+        file(STRINGS /etc/initrd_release mxdistro REGEX "^NAME=")
+        if(${mxdistro} MATCHES "MX")
+            message("-- Found MX")
+            set(HARDINFO2_SYSTEMV 1)
+	    set(distro "MXLinux")
+            set(HARDINFO2_OS ${distro})
+        endif()
+   endif()
+endif()
+
+#Void
 if(${distro} MATCHES "Void")
     set(HARDINFO2_RUNIT 1)
+endif()
+
+if(${distro} MATCHES "Alpine")
+    set(HARDINFO2_SYSTEMV 1)
+endif()
+
+if(${distro} MATCHES "Puppy")
+    set(HARDINFO2_SYSTEMV 1)
 endif()
 
 #WSL 1/2
@@ -291,94 +341,3 @@
 	${CMAKE_SOURCE_DIR}/includes/${HARDINFO2_ARCH}
 	${CMAKE_SOURCE_DIR}/deps/uber-graph
 	${CMAKE_SOURCE_DIR}/deps/sysobj_early/include
-	${CMAKE_SOURCE_DIR}/deps/sysobj_early/gui
-	${CMAKE_BINARY_DIR}
-	${GTK_INCLUDE_DIRS}
-	${LIBSOUP_INCLUDE_DIRS}
-	${ZLIB_INCLUDE_DIRS}
-	${X11_INCLUDE_DIRS}
-	${JSON_GLIB_INCLUDE_DIRS}
-)
-link_directories(
-	${GTK_LIBRARY_DIRS}
-	${LIBSOUP_LIBRARY_DIRS}
-	${X11_LIBRARY_DIRS}
-	${JSON_GLIB_LIBRARY_DIRS}
-)
-
-set(HARDINFO2_MODULES
-	computer
-	devices
-	benchmark
-	network
-)
-set(HARDINFO2_RESOURCES
-	"data/benchmark.data"
-	"data/benchmark.json"
-	"data/blobs-update-version.json"
-	"data/vendor.ids"
-	"data/sdcard.ids"
-	"data/usb.ids"
-	"data/arm.ids"
-	"data/edid.ids"
-	"data/ieee_oui.ids"
-	"data/pci.ids"
-	"data/kernel-module-icons.json"
-)
-set(HARDINFO2_MANPAGES
-	"hardinfo2.1"
-)
-set(MODULE_computer_SOURCES
-	modules/computer.c
-	modules/computer/alsa.c
-	modules/computer/boots.c
-	modules/computer/display.c
-	modules/computer/environment.c
-	modules/computer/filesystem.c
-	modules/computer/languages.c
-	modules/computer/loadavg.c
-	modules/computer/memory.c
-	modules/computer/memory_usage.c
-	modules/computer/modules.c
-	modules/computer/os.c
-	modules/computer/uptime.c
-	modules/computer/users.c
-	modules/computer/groups.c
-)
-set(MODULE_devices_SOURCES
-	modules/devices.c
-	modules/devices/${HARDINFO2_ARCH}/processor.c
-	modules/devices/gpu.c
-	modules/devices/monitors.c
-	modules/devices/battery.c
-	modules/devices/dmi.c
-	modules/devices/dmi_memory.c
-	modules/devices/firmware.c
-	modules/devices/devicetree.c
-	modules/devices/inputdevices.c
-	modules/devices/spd-decode.c
-	modules/devices/pci.c
-	modules/devices/printers.c
-	modules/devices/resources.c
-	modules/devices/sensors.c
-	modules/devices/storage.c
-	modules/devices/usb.c
-)
-set(MODULE_network_SOURCES
-	modules/network.c
-	modules/network/net.c
-	modules/network/nfs.c
-	modules/network/samba.c
-)
-if(HARDINFO2_QT5)
-set(MODULE_benchmark_SOURCES
-	modules/benchmark.c
-	modules/benchmark/bench_util.c
-	modules/benchmark/blowfish.c
-	modules/benchmark/blowfish2.c
-	modules/benchmark/cryptohash.c
-	modules/benchmark/fbench.c
-	modules/benchmark/fftbench.c
-	modules/benchmark/fft.c
-	modules/benchmark/fib.c
-	modules/benchmark/md5.c
