=== debian/changelog ===
hardinfo (2.2.1-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Boyuan Yang <byang@debian.org>  Sun, 03 Nov 2024 10:52:34 -0500

hardinfo (2.2.1-2) unstable; urgency=medium

  * debian/patches/backport/4da6e7843e79bb69520164c1ff2e2e776be8a05e.patch:
    Add upstream patch to fix FTBFS on loongarch. (Closes: #1086612)

 -- Boyuan Yang <byang@debian.org>  Sun, 03 Nov 2024 10:47:28 -0500

hardinfo (2.2.1-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Boyuan Yang <byang@debian.org>  Fri, 01 Nov 2024 14:50:19 -0400

hardinfo (2.2.1-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 30 Oct 2024 16:20:26 -0400
