## hardinfo 2.2.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 cmake_policy(VERSION 3.0.2)
 project(hardinfo2)
 
-set(HARDINFO2_VERSION "2.2.1")
+set(HARDINFO2_VERSION "2.2.4")
 
 option(HARDINFO2_SERVICE "Build with service support" 1)
 option(HARDINFO2_GTK3 "Build for GTK3 (0/off for GTK2)" 1)
@@ -73,7 +73,7 @@
 set(PACKAGE_LIBSOUP2_MINVERSION 2.42)
 set(PACKAGE_LIBGLIB2_MINVERSION 2.24)
 SET(RPM_REQ "sysbench, udisks2, glx-utils, lsscsi, lm_sensors, xdg-utils, iperf3, fwupd, xrandr, vulkan-tools")
-SET(DEB_REQ "sysbench, udisks2, mesa-utils, lsscsi, lm-sensors, xdg-utils, iperf3, fwupd, x11-server-utils, vulkan-tools")
+SET(DEB_REQ "sysbench, udisks2, mesa-utils, lsscsi, lm-sensors, xdg-utils, iperf3, fwupd, x11-xserver-utils, vulkan-tools")
 
 #########################CPack PACKAGING SETUP###############################
 if(EXISTS "/etc/os-release")
@@ -190,6 +190,7 @@
     set(PACKAGE_LIBSOUP2_MINVERSION 2.34.3)
     set(HARDINFO2_SYSTEMV 1)
     set(HARDINFO2_QT5 0)
+    SET(DEB_REQ "sysbench, mesa-utils, lsscsi, lm-sensors, xdg-utils, x11-xserver-utils") #miss vulkan-tools,fwupd, udisks2, iperf3
 endif()
 
 #debian 8
@@ -197,6 +198,7 @@
     message("DEB 8 - GTK3 version 3.14.5 is low - Themes disabled")
     message("DEB 8 - no QT5 - Disabling opengl benchmarks")
     set(HARDINFO2_QT5 0)
+    SET(DEB_REQ "sysbench, udisks2, mesa-utils, lsscsi, lm-sensors, xdg-utils, iperf3, x11-xserver-utils") #miss vulkan-tools,fwupd
 endif()
 
 #debian 9
@@ -205,7 +207,13 @@
     if(${distro}${disversion} MATCHES "DebianGNULinux9")
         message("DEB 9 - QT5 too low - Disabling opengl benchmarks")
         set(HARDINFO2_QT5 0)
+	SET(DEB_REQ "sysbench, udisks2, mesa-utils, lsscsi, lm-sensors, xdg-utils, iperf3, fwupd, x11-xserver-utils") #miss vulkan-tools
     endif()
+endif()
+
+#debian 10
+if(${distro}${disversion} MATCHES "DebianGNULinux10")
+  SET(DEB_REQ "udisks2, mesa-utils, lsscsi, lm-sensors, xdg-utils, iperf3, fwupd, x11-xserver-utils, vulkan-tools") #miss sysbench
 endif()
 
 #debian ->11
@@ -232,6 +240,12 @@
 if(${distro}${disversion} MATCHES "Ubuntu16")
     message("Ubuntu 16 - no QT5 - Disabling opengl benchmarks")
     set(HARDINFO2_QT5 0)
+    SET(DEB_REQ "sysbench, udisks2, mesa-utils, lsscsi, lm-sensors, xdg-utils, iperf3, fwupd, x11-xserver-utils") #miss vulkan-tools
+endif()
+
+#ubuntu 18
+if(${distro}${disversion} MATCHES "Ubuntu18")
+    SET(DEB_REQ "sysbench, udisks2, mesa-utils, lsscsi, lm-sensors, xdg-utils, iperf3, fwupd, x11-xserver-utils") #miss vulkan-tools
 endif()
 
 #ubuntu 20.04
@@ -290,6 +304,14 @@
     set(HARDINFO2_SYSTEMV 1)
 endif()
 
+if(${distro} MATCHES "Artix")
+    set(HARDINFO2_SYSTEMV 1)
+endif()
+
+if(HARDINFO2_ARCH MATCHES "riscv")
+    SET(DEB_REQ "udisks2, mesa-utils, lsscsi, lm-sensors, xdg-utils, iperf3, fwupd, x11-xserver-utils, vulkan-tools") #miss sysbench
+endif()
+
 #WSL 1/2
 if(EXISTS "/bin/wslinfo")
     message("WSL Detected")
@@ -304,40 +326,3 @@
 	set(HARDINFO2_DEBUG 1)
         if(${distro}${disversion} MATCHES "DebianGNULinux7")
         else()
-	   set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fsanitize=address")
-        endif()
-endif()
-
-add_subdirectory(po)
-
-if(HARDINFO2_QT5)
-  add_subdirectory(deps/qgears2)
-endif()
-
-include(FindPkgConfig)
-if (HARDINFO2_GTK3)
-    message(STATUS "Building for GTK3")
-    pkg_check_modules(GTK REQUIRED gtk+-3.0>=3.0 cairo>=1.0 cairo-png>=1.0 gthread-2.0>=2.10 gmodule-export-2.0>=2.10)
-    add_definitions(-DGTK_DISABLE_SINGLE_INCLUDES)
-else()
-    message(STATUS "Building for GTK2 - (Deprecated - Please update your distro!!)")
-    pkg_check_modules(GTK REQUIRED gtk+-2.0>=2.10 gthread-2.0>=2.10 gmodule-export-2.0>=2.10)
-endif()
-
-if (${HARDINFO2_LIBSOUP3})
-    pkg_check_modules(LIBSOUP REQUIRED libsoup-3.0>=3.00)
-else()
-    pkg_check_modules(LIBSOUP REQUIRED libsoup-2.4>=${PACKAGE_LIBSOUP2_MINVERSION})
-endif()
-pkg_check_modules(GLIB2 REQUIRED glib-2.0>=${PACKAGE_LIBGLIB2_MINVERSION})
-pkg_check_modules(JSON_GLIB REQUIRED json-glib-1.0>=0.14.2)
-pkg_check_modules(X11 REQUIRED x11)
-
-include(FindZLIB REQUIRED)
-
-include_directories(
-	${CMAKE_SOURCE_DIR}
-	${CMAKE_SOURCE_DIR}/includes
-	${CMAKE_SOURCE_DIR}/includes/${HARDINFO2_ARCH}
-	${CMAKE_SOURCE_DIR}/deps/uber-graph
-	${CMAKE_SOURCE_DIR}/deps/sysobj_early/include
