=== debian/changelog ===
hardinfo (2.2.4-1~mx23+2) mx; urgency=medium

  * Move iperf3 to Suggests.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 08 Jan 2025 00:31:42 -0800

hardinfo (2.2.4-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Make recommended packages explicit dependencies.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 16 Nov 2024 18:44:15 -0800

hardinfo (2.2.4-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Boyuan Yang <byang@debian.org>  Fri, 08 Nov 2024 14:08:58 -0500

hardinfo (2.2.4-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 07 Nov 2024 12:11:37 -0500
