=== debian/control ===
--- 
+++ 
@@ -33,17 +33,19 @@
 
 Package: hardinfo2
 Architecture: linux-any
-Depends: ${misc:Depends}, ${shlibs:Depends},
-         dmidecode,
-         iperf3,
+Depends: dmidecode,
+         fwupd,
          lm-sensors,
          lsscsi,
          mesa-utils,
          sysbench,
          udisks2,
-         xdg-utils
-Recommends: fwupd
-Suggests: pciutils
+         vulkan-tools,
+         x11-xserver-utils,
+         xdg-utils,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Suggests: pciutils, iperf3
 Replaces: hardinfo (<< ${binary:Version}~)
 Breaks: hardinfo (<< ${binary:Version}~)
 Provides: hardinfo
